Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 2736943003: Start to decouple display::Display from ws::PlatformDisplay. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by kylechar
Modified:
6 months, 2 weeks ago
Reviewers:
sky
CC:
chromium-reviews, rjkroege, riajiang, fwang, tonikitoo
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Start to decouple display::Display from ws::PlatformDisplay. External window mode will be saner if ws::PlatformDisplay is just a pixel area and wasn't linked to the concept of display::Display. This is because there won't be a ws::PlatformDisplay per display::Display in external window mode. This CL aims to simplify ws::PlatformDisplay so it is closer to just understanding it's pixel size. Leave TODOs where further changes are necessary. 1. Remove non-viewport information from ViewportMetrics. This way ws::PlatformDisplay only knows about the pixel size. It has to use it's delegate to get the display::Display (which might eventually become unnecessary). 2. Pass display::Display along with ViewportMetrics to ScreenManagerDelegate. This contains all the information removed from ViewportMetrics. 3. Delete PlatformDisplayInitParams. It's just the root ServerWindow + ViewportMetrics after changes so that can be passed in directly. 4. Update TestScreenManager to take a Display instead of a ViewportMetrics and update tests. 5. Remove a few unnecessary bits of the PlatformDisplay interface. BUG=693081 Review-Url: https://codereview.chromium.org/2736943003 Cr-Commit-Position: refs/heads/master@{#456565} Committed: https://chromium.googlesource.com/chromium/src/+/4955b5d118973d7f99d3e5aa10e97b2446758d79

Patch Set 1 #

Patch Set 2 : Fixes. #

Patch Set 3 : Missing statement. #

Total comments: 8

Patch Set 4 : Fix comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+255 lines, -362 lines) Patch
M services/ui/display/screen_manager_delegate.h View 1 1 chunk +9 lines, -10 lines 0 comments Download
M services/ui/display/screen_manager_ozone_internal.cc View 1 2 3 3 chunks +5 lines, -7 lines 0 comments Download
M services/ui/display/screen_manager_ozone_internal_unittests.cc View 1 2 3 2 chunks +16 lines, -13 lines 0 comments Download
M services/ui/display/screen_manager_stub_internal.h View 2 chunks +2 lines, -3 lines 0 comments Download
M services/ui/display/screen_manager_stub_internal.cc View 1 2 3 4 chunks +22 lines, -15 lines 0 comments Download
M services/ui/display/viewport_metrics.h View 1 2 3 1 chunk +2 lines, -10 lines 0 comments Download
M services/ui/display/viewport_metrics.cc View 1 2 3 1 chunk +3 lines, -38 lines 0 comments Download
M services/ui/service.h View 1 chunk +0 lines, -1 line 0 comments Download
M services/ui/ws/BUILD.gn View 1 1 chunk +0 lines, -2 lines 0 comments Download
M services/ui/ws/display.h View 1 2 3 4 chunks +18 lines, -6 lines 0 comments Download
M services/ui/ws/display.cc View 1 2 3 7 chunks +18 lines, -30 lines 0 comments Download
M services/ui/ws/display_manager.h View 3 chunks +4 lines, -3 lines 0 comments Download
M services/ui/ws/display_manager.cc View 1 2 3 4 chunks +20 lines, -20 lines 0 comments Download
M services/ui/ws/display_unittest.cc View 1 4 chunks +19 lines, -14 lines 0 comments Download
M services/ui/ws/platform_display.h View 1 4 chunks +3 lines, -12 lines 0 comments Download
M services/ui/ws/platform_display.cc View 2 chunks +5 lines, -4 lines 0 comments Download
M services/ui/ws/platform_display_default.h View 1 5 chunks +4 lines, -6 lines 0 comments Download
M services/ui/ws/platform_display_default.cc View 1 2 3 8 chunks +20 lines, -31 lines 0 comments Download
M services/ui/ws/platform_display_delegate.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/platform_display_factory.h View 1 chunk +7 lines, -2 lines 0 comments Download
D services/ui/ws/platform_display_init_params.h View 1 chunk +0 lines, -32 lines 0 comments Download
D services/ui/ws/platform_display_init_params.cc View 1 chunk +0 lines, -22 lines 0 comments Download
M services/ui/ws/test_utils.h View 1 3 chunks +13 lines, -12 lines 0 comments Download
M services/ui/ws/test_utils.cc View 1 2 3 9 chunks +41 lines, -50 lines 0 comments Download
M services/ui/ws/window_manager_state.cc View 1 2 3 2 chunks +4 lines, -2 lines 0 comments Download
M services/ui/ws/window_manager_state_unittest.cc View 1 chunk +0 lines, -1 line 0 comments Download
M services/ui/ws/window_tree.cc View 1 1 chunk +3 lines, -3 lines 0 comments Download
M services/ui/ws/window_tree_host_factory.h View 1 2 chunks +0 lines, -2 lines 0 comments Download
M services/ui/ws/window_tree_host_factory.cc View 1 2 3 3 chunks +16 lines, -9 lines 0 comments Download
M services/ui/ws/window_tree_unittest.cc View 1 1 chunk +0 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (13 generated)
kylechar
+sky for OWNERS +tonikitoo, fwang and riajiang for TODOs
6 months, 2 weeks ago (2017-03-13 15:59:27 UTC) #7
sky
https://codereview.chromium.org/2736943003/diff/80001/services/ui/display/viewport_metrics.h File services/ui/display/viewport_metrics.h (right): https://codereview.chromium.org/2736943003/diff/80001/services/ui/display/viewport_metrics.h#newcode17 services/ui/display/viewport_metrics.h:17: gfx::Rect bounds; // Pixels Please name this bounds_in_pixels to ...
6 months, 2 weeks ago (2017-03-13 18:29:07 UTC) #8
kylechar
https://codereview.chromium.org/2736943003/diff/80001/services/ui/display/viewport_metrics.h File services/ui/display/viewport_metrics.h (right): https://codereview.chromium.org/2736943003/diff/80001/services/ui/display/viewport_metrics.h#newcode17 services/ui/display/viewport_metrics.h:17: gfx::Rect bounds; // Pixels On 2017/03/13 18:29:06, sky wrote: ...
6 months, 2 weeks ago (2017-03-13 19:28:02 UTC) #9
sky
LGTM
6 months, 2 weeks ago (2017-03-13 23:56:13 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2736943003/100001
6 months, 2 weeks ago (2017-03-14 00:11:21 UTC) #16
commit-bot: I haz the power
6 months, 2 weeks ago (2017-03-14 01:56:51 UTC) #19
Message was sent while issue was closed.
Committed patchset #4 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/4955b5d118973d7f99d3e5aa10e9...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b